Package com.pixelmed.display.event

## Class BrowserPaneChangeEvent

- java.lang.Object
- - com.pixelmed.event.Event
  - - com.pixelmed.display.event.BrowserPaneChangeEvent

-     public class BrowserPaneChangeEvent
      extends Event

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DATABASE` |
    `static int` | `DICOMDIR` |
    `static int` | `IMAGE` |
    `static int` | `SPECTROSCOPY` |
    `static int` | `SR` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BrowserPaneChangeEvent​(EventContext eventContext, int browserPaneType)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getType()` |

    - ### Methods inherited from class com.pixelmed.event.Event

      `getEventContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IMAGE

          public static final int IMAGE

      See Also:
        Constant Field Values

    - #### DICOMDIR

          public static final int DICOMDIR

      See Also:
        Constant Field Values

    - #### DATABASE

          public static final int DATABASE

      See Also:
        Constant Field Values

    - #### SPECTROSCOPY

          public static final int SPECTROSCOPY

      See Also:
        Constant Field Values

    - #### SR

          public static final int SR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BrowserPaneChangeEvent

          public BrowserPaneChangeEvent​(EventContext eventContext,
                                        int browserPaneType)

      Parameters:
        `eventContext` -
        `browserPaneType` -

  - ### Method Detail

    - #### getType

          public int getType()